/* Bluefish HTML Editor
 * callbacks.h - callback prototypes
 *
 * Copyright (C) 1998 Olivier Sessink and Chris Mazuc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __CALLBACKS_H_
#define __CALLBACKS_H_

#include <glib.h>
#include <gtk/gtkwidget.h>
void set_last_insert(const gchar *before, const gchar *after);
void repeat_last_insert_cb(GtkWidget * widget, gpointer data);

void view_in_netscape_cb(GtkWidget * widget, gpointer data);
void open_image_in_editor(gchar *filename);
void open_from_web_cb(GtkWidget * widget, gpointer data);
void run_weblint_cb(GtkWidget * widget, gpointer data);
void preview_cb(GtkWidget * widget, gpointer data);
GList *return_files_advanced();
#endif							/* __CLALLBACKS_H_ */
